## com.thingmagic
Class MultiFilter

    java.lang.Object
      com.thingmagic.MultiFilter

All Implemented Interfaces:
  TagFilter

    public class MultiFilter

extends java.lang.Object
implements TagFilter

This represents an ordered sequence of filter operations.

Constructor Summary
`MultiFilter(TagFilter[] filters)`

Method Summary
`boolean` `matches(TagData t)` Say if a tag matches this filter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFilter

    public MultiFilter(TagFilter[] filters)

Method Detail

### matches

    public boolean matches(TagData t)

  Say if a tag matches this filter.

  Specified by:
    `matches` in interface `TagFilter`